defmodule DecentralisedBookIndex.Sync.ApiClients.FetchJson do
  def get(url) do
    case Req.get(url) do
      {:ok, data} ->
        if data.status == 200 do
          {:ok, data.body}
        else
          {:error, data}
        end

      {:error, message} ->
        {:error, message}
    end
  end
end
